#### D.6.9.6 classifySimpleMaps

Procedure from library `classifyMapGerms.lib` (see classifyMapGerms_lib).

Usage:
  classifySimpleMaps(I); I=an ideal with 2 generators in a polynomial ring with 2 variables and local ordering defining a map germ C^2 to C^2

Compute:
  The normal form of the germ in Riegers classification if it is simple

Return:
  normal form of I, of type ideal

Note:
  If I is not simple it returns (0,0)

Example:

    LIB "classifyMapGerms.lib";
    ring R=0,(x,y),(c,ds);
    poly f1=x;
    poly f2=xy+y5+y7;
    poly f11=f1+f2*f1;
    poly f22=f2+f1^2;
    map phi=basering,x+y,y+y2;
    f1=phi(f11);
    f2=phi(f22);
    ideal I=f1,f2;
    classifySimpleMaps(I);
    ==> _[1]=x
    ==> _[2]=xy+y5+y7

User manual for Singular version 4.4.1, 2025, generated by texi2html.